import Setting from '@/setting';

let host = Setting.apiBaseURL
let uploadURL = 'http://112.74.110.92:8001'

export default { 
  logins: `${host}/management/userInfo/login`, //登录 
  
  // 查询省份城市
  queryProvince: `${host}/enterprise/province/queryProvince`,
  queryCity: `${host}/enterprise/city/queryCity`,
  queryClient: `${host}/enterprise/client/list`,
  
  uploadUserAvatars: `${uploadURL}/oss/manage/fileupload`,
  userinfoUpdate:`${host}/management/userInfo/update`,//个人中心信息修改
  userinfo:`${host}/management/userInfo/getUserInfo`,//个人中心信息展示
  getAccount:`${host}/management/userInfo/getAccount`,//账号判重

  // 学生管理
  addStudent: `${host}/management/student/addStudent`,
  deleteStudents: `${host}/management/student/deleteStudents`,
  getStudent: `${host}/management/student/getStudent`,
  queryStudent: `${host}/management/student/list`,
  updateStudent: `${host}/management/student/updateStudent`, 
  studentGetWorkNumber: `${host}/management/student/getWorkNumber`,
  exportFailureStudent: `${host}/management/student/exportFailure`,
  uploadFileStudent: `${host}/management/student/uploadFile`,
  downloadStudentTemp: 'http://szks.supergen-edu.com/template/1604658660956.xlsx',

  // 一级部门
  addStaffPro: `${host}/management/staffProfessionalArchitecture/addStaffProfessionalArchitecture`,
  deleteStaffPro: `${host}/management/staffProfessionalArchitecture/deleteStaffProfessionalArchitecture`,
  queryStaffPAN: `${host}/management/staffProfessionalArchitecture/queryStaffPAN`,
  queryStaffPro: `${host}/management/staffProfessionalArchitecture/queryStaffProfessionalArchitecture`,
  updateStaffPro: `${host}/management/staffProfessionalArchitecture/updateStaffProfessionalArchitecture`,

  // 二级部门
  addStaffGrade: `${host}/management/staffGrade/addStaffGrade`,
  deleteStaffGrade: `${host}/management/staffGrade/deleteStaffGrade`,
  queryStaffGrade: `${host}/management/staffGrade/queryStaffGrade`,
  queryStaffName: `${host}/management/staffGrade/queryStaffName`,
  updateStaffGrade: `${host}/management/staffGrade/updateStaffGrade`,

  // 员工管理
  addStaff: `${host}/management/staff/addStaff`,
  deleteStaffs: `${host}/management/staff/deleteStaffs`,
  getStaff: `${host}/management/staff/getStaff`,
  queryStaff: `${host}/management/staff/managementList`,
  updateStaff: `${host}/management/staff/updateStaff`,
  getWorkNumber: `${host}/management/staff/getWorkNumber`,
  exportFailureStaff: `${host}/management/staff/managementExportFailure`,
  uploadFileStaff: `${host}/management/staff/managementUpload`,
  downloadStaffTemp: `http://szks.supergen-edu.com/template/1358714535309500416.xlsx`,

  // 角色管理
  getRole: `${host}/management/role/get`,
  queryRoles: `${host}/management/role/list`,
  removeRole: `${host}/management/role/batchRemove`,
  saveOrUpdate: `${host}/management/role/saveOrUpdate`,
  getRoles: `${host}/management/role/getRole`,

  // 权限菜单管理
  doAssign: `${host}/management/permission/doAssign`,
  queryPermissionMenu: `${host}/management/permission/queryManagementPermissionMenu`,
  toAssign: `${host}/management/permission/toAssign`,

  // 课程管理
  queryCourseByCondition: `${host}/management/edu/course/queryCourseByCondition`,
  addCourse: `${host}/management/edu/course/addCourse`,
  deleteCourse: `${host}/management/edu/course/deleteCourse`,
  deleteCourses: `${host}/management/edu/course/deleteCourses`,
  editCourse: `${host}/management/edu/course/editCourse`,
  enableCourse: `${host}/management/schoolCourse/enableGlCourse`,
  getCourse: `${host}/management/edu/course/getCourse`,
  queryAllClassification: `${host}/management/edu/courseClassification/queryGlClassification`,

  deleteClassification: `${host}/management/edu/courseClassification/deleteClassification`,
  addClassification: `${host}/management/edu/courseClassification/addClassification`,
  editClassification: `${host}/management/edu/courseClassification/editClassification`,

  // 课程标签管理
  addLabel: `${host}/management/edu/courseLabel/addLabel`,
  deleteLabel: `${host}/management/edu/courseLabel/deleteLabel`,
  editLabel: `${host}/management/edu/courseLabel/editLabel`,
  queryAllLabel: `${host}/management/edu/courseLabel/queryAllLabel`,

  // 课程章节管理
  addChapter: `${host}/management/edu/courseChapter/addChapter`,
  chapterReorder: `${host}/management/edu/courseChapter/chapterReorder`,
  deleteChapter: `${host}/management/edu/courseChapter/deleteChapter`,
  editChapter: `${host}/management/edu/courseChapter/editChapter`,
  queryChaptersAndSubsections: `${host}/management/edu/courseChapter/queryChaptersAndSubsections`,
  reorder: `${host}/management/edu/courseChapter/reorder`,

  // 课程小节管理
  addSubsection: `${host}/management/edu/courseSubsection/addSubsection`,
  deleteSubsection: `${host}/management/edu/courseSubsection/deleteSubsection`,
  editSubsection: `${host}/management/edu/courseSubsection/editSubsection`,
  getSubsection: `${host}/management/edu/courseSubsection/getSubsection`,

  // 视频管理
  fileDeletion: `${host}/oss/manage/fileDeletion`,
  fileupload: `${host}/oss/manage/fileupload`,
  getPlayAuth: `${host}/oss/manage/getPlayAuth`,
  removeMoreVideo: `${host}/oss/manage/removeMoreVideo`,
  removeVideo: `${host}/oss/manage/removeVideo`,
}