import router from './index';
import generateRoutes from '@/libs/route/generateRoutes';
import Setting from '@/setting';

router.beforeEach((to, from, next) => {
    document.title = to.meta.title ? `${to.meta.title} | ${Setting.titleSuffix}` : Setting.titleSuffix
    const role = sessionStorage.getItem(Setting.usernameKey);
    if (!role && to.path !== '/login') {
        next('login')
        // if(to.fullPath != '/404' && to.fullPath != '/'){
        //     next({
        //         path: 'login',
        //         query: {redirect: to.fullPath}
        //     })
        // }else{
        //     next('login')
        // }
    } else if(role && to.path == '/login') {
        next('dashboard')
    } else {
        next();
    }
});

Setting.dynamicRoute && generateRoutes()